// Copyright 1991 (C) Apple Computer. All Rights Reserved.

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#if qDebug
include "Debug.rsrc";
#endif

include "MacApp.rsrc";
include "Printing.rsrc";

include "Taro" 'CODE';

include "Taro.extra.rsrc";			//   ICON 1000, plus others   
include "Views.extra.rsrc";		//   view 1000 

include "Defaults.rsrc"	'STR#' (kDefaultCredits);	// default credits
include "Defaults.rsrc"	'vers' (2);		// Overall package

#define	mFile		2
#define	mPlayer	3
#define	mSound	4

#define	cAddRemote		1000
#define	cRemoveRemote	1001
#define	cAddLocal		1002
#define	cRemoveLocal	1003
#define	cSound			2000

//======================================================================================
include "Defaults.rsrc"	'CMNU' (mApple);				// default Apple menus

resource 'SIZE' (-1) {
	1,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	acceptAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	534 * 1024,
	246 * 1024
};


resource 'CMNU' (mFile) {
	mFile,
	textMenuProc,
	0x7FFFFBBB,
	enabled,
	"File",
	 {
		"New", noIcon, "N", noMark, plain, cNew;
		"-", noIcon, noKey, noMark, plain, nocommand;
		"Close", noIcon, "W", noMark, plain, cClose;
		"-", noIcon, noKey, noMark, plain, nocommand;
		"Page Setup", noIcon, noKey, noMark, plain, cPageSetup;
		"Print One", noIcon, "P", noMark, plain, cPrintOne;
		"Print", noIcon, noKey, noMark, plain, cPrint;
		"-", noIcon, noKey, noMark, plain, nocommand;
		"Quit", noIcon, "Q", noMark, plain, cQuit;
	}
};

resource 'CMNU' (mPlayer, "Player") {
	mPlayer,
	textMenuProc,
	0x7FFFFFFF,
	enabled,
	"Player",
	 {
		"Add remote", noIcon, "R", noMark, plain, cAddRemote;
		"Remove remote", noIcon, noKey, noMark, plain, cRemoveRemote;
		"Add local", noIcon, "L", noMark, plain, cAddLocal;
		"Remove local", noIcon, noKey, noMark, plain, cRemoveLocal;
	}
};

resource 'CMNU' (mSound, "Sound") {
	mSound,
	textMenuProc,
	0x7FFFFFFF,
	enabled,
	"Sound",
	{
		"Sound Off", noIcon, "S", noMark, plain, cSound;
	}
};

resource 'MBAR' (kMBarDisplayed,
#if qNames
"Taro",
#endif
	purgeable) {
	{mApple; mFile; mPlayer; mSound; }
};

